

/* MENU */
header{
    position: fixed;
}
.menu {
    display: flex;
    justify-content: space-between;
    padding: 40px 0 0;
    align-items: flex-start;
}
header nav a::after{
    content: none;
}

.menu-mobile {
    position: fixed;
    background: rgba(0, 0, 0, 0.6);
    backdrop-filter: blur(10px);
    height: var(--menu-height);
    width: 20%;
    z-index: 1;
    bottom: 0;
    overflow: hidden;
    top: 0;
    right: -20%;
    padding: 0;
    gap: 80px;
    display: flex;
    align-items: center;
    text-align: center;
    flex-direction: column;
    transition: 1s all;
    justify-content: center;

}

.menu-mobile ul {
    display: flex;
    flex-direction: column;
    gap: 30px;
    list-style: none;
    padding: 0;
}

.menu-dois {
    display: flex;
    width: 100%;
    justify-content: space-between;
    align-items: center;
    position: absolute;
    left: 0;
    background: var(--azulescuro);
    padding: 20px;
    top: 0;
    height: 10%;
    z-index: 3;
    justify-content: right;
}

.burger {
    position: absolute;
    width: 40px;
    height: 30px;
    top: 40px;
    right: 40px;
    background: transparent;
    cursor: pointer;
    display: block;
    z-index: 4;
}

.burger input {
    display: none;
}

.burger span {
    display: block;
    position: absolute;
    height: 2px;
    width: 100%;
    background: white;
    border-radius: 9px;
    opacity: 1;
    left: 0;
    transform: rotate(0deg);
    transition: .25s ease-in-out;
    z-index: 5;
}

.burger span:nth-of-type(1) {
    top: 0px;
    transform-origin: left center;
}

.burger span:nth-of-type(2) {
    top: 50%;
    transform: translateY(-50%);
    transform-origin: left center;
}

.burger span:nth-of-type(3) {
    top: 100%;
    transform-origin: left center;
    transform: translateY(-100%);
}

.burger input:checked~span:nth-of-type(1) {
    transform: rotate(45deg);
    top: 0px;
    left: 5px;
}

.burger input:checked~span:nth-of-type(2) {
    width: 0%;
    opacity: 0;
}

.burger input:checked~span:nth-of-type(3) {
    transform: rotate(-45deg);
    top: 28px;
    left: 5px;
}

.burger input:checked~.menu-mobile {
    height: var(--menu-height);
    width: 20%;
    right: 0%;
}

.no-scroll {
    overflow: hidden;
    height: 100%;
}
.logo-mobile{
    position: absolute;
    top: 20px;
    left: 20px;
    z-index: 9;
    width: fit-content;
}

@media only screen and (max-width: 768px) {
    .desktop-hidden {
        display: block;
    }
    
    .mobile-hidden {
        display: none;
    }
    .menu-mobile{
        width: 100%;
        right: -100%;

    }
    .imoveis-a-venda h1{
        text-align: center;
        margin: 0 auto;
    }
    .filtro-status{
        margin-top: 40px;
        width: 100%;
        text-align: center;
    }
    .filtro-status select{
        width: 100%;
        margin-top: 10px;
    }
    .burger input:checked~.menu-mobile{
        width: 100%;
    }
    .abas-home .flex{
        margin-top: 20px;
    }
    .abas-home .imagem-sobre-dois{
        order: 2;
    }

    /* IMOVEIS */

    .imoveis-a-venda .icones{
        flex-direction: column;
    }
    .imoveis-a-venda .icones .coluna:nth-child(odd){
        width: 100%;
    }
    .imoveis-a-venda .icones .coluna:nth-child(even){
        width: 100%;
    }
    /* HOME */
    .banner{
        height: 60vh;
    }
    .banner h1{
        font-size: 35px;
    }
    .banner p{
        font-size: 16px;
    }
    .logo-mobile{
        position: absolute;
        top: 15px;
        left: 40px;
        z-index: 9;
    }
    .imoveis .flutuante{
        display: none;
    }
    .box-img{
        /* background-image: none!important; */
        height: 300px;
    }
    .imovel-home{
        height: fit-content;
    }
    .imoveis .box-imovel{
        transform:none!important;
        position: relative;
        max-width: none;
        min-width: fit-content;
        width: 100%;
        padding: 40px;
        left: 0;
    }
    .bloco-animacao a{
        width: 100%;
    }
    .imovel-home:nth-child(even) .box-imovel{
        right: 0;
        width: 100%;
    }
    .box-imovel h2{
        font-size: 28px;
    }
    .box-imovel .icones .coluna:nth-child(odd){
        width: fit-content;
    }
    .box-imovel .icones .coluna:nth-child(even){
        width: fit-content;
    }
    .imovel-home:nth-child(even) h2, .imovel-home:nth-child(even) .status{
        text-align: left;
    }
    .imovel-home:nth-child(even) .localizacao{
        justify-content: flex-start;
    }
    .box-imovel .localizacao p{
        font-size: 14px;
    }
    .box-imovel .icones{
        flex-direction: column;
    }
    .box-img-2{
        order: 1;
    }
    .box-img-2 ~ .bloco-animacao{
        order: 2;
    }
    .img-ha{
        height: 300px;
        object-fit: cover;
    }
    .ha h2{
        font-size: 28px;
        text-align: left;
    }
    .ha p{
        font-size: 16px;
        text-align: justify;
    }
    .instagram .galeria-item:last-child{
        display: none;
    }
    .financiamento button{
        margin-top: 50px;
    }
    .financiamento p,
    .financiamento h2{
        text-align: center;
    }
    .financiamento{
        text-align: center;
    }
    footer{
        text-align: center;
    }
    footer nav{
        margin-top: 40px;
    }
    footer .grid-footer{
        flex-direction: column;
        align-items: center;
    }
    footer .grid-footer-final{
        gap: 20px;
    }
    footer .grid-footer-final,
    .endereco-footer{
        flex-direction: column;
        align-items: center;
        text-align: center;
    }
    .rodape p,
    .numero-footer,
    .divisao-footer{
        font-size: 16px;
        
    }
    .endereco-footer .start{
        gap: 20px;
    }
    .divisao-footer{
        border: none;
        width: 100%;
        padding: 0;
    }
    .icones-redes .flex{
        justify-content: center;
        gap: 20px;
        margin-top: 50px;
    }


    /* SAT */
    .sat h1{
        font-size: 35px;
    }
    .sat h2{
        font-size: 28px!important;
    }
    .sat p{
        font-size: 16px;
        text-align: justify;
    }
    .sat .financiamento p{
        text-align: center;
    }
    .sat .flutuante-direita,
    .sat .flutuante-esquerda{
        display: none;
    }
    .sat .abra{
        margin-top: 100px;
    }
    .abra .flutuante-abra{
        bottom: 15%;
    }
    .container-sat{
        width: 80%;
    }
    .abra .input{
        width: 100%;
    }

    /* FINANCIAMENTO */
    .flex-financiamento > .coluna-30{
        width: 90%;
        margin: 0 auto;
    }
    .page-financiamento h1{
        font-size: 35px;
    }
    .page-financiamento h2{
        font-size: 28px!important;
    }
    .page-financiamento p{
        font-size: 16px;
    }
    .page-financiamento .azul-font{
        gap: 20px;
    }
    .page-financiamento .preparamos h3{
        font-size: 20px;
    }
    .page-financiamento .financiamento{
        margin-top: 100px;
    }
    .flutuante-soli{
        display: none;
    }


    /* SINGLE */
    .banner-imoveis{
        height: 60vh;
    }
    .banner-imoveis h1{
        font-size: 35px;
    }
    .popup .info,
    .popup .close,
    .section-carreossel h2{
        font-size: 14px;
    }
    .carousel-container .slick-next{
        right: 10px;
    }
    .carousel-container .slick-prev{
        left: 10px;
    }
    .slick-slide img{
        height: 400px;
    }
    .popup img{
        max-width: 75%;
    }
    .popup .container{
        padding: 0;
    }
    .popup .prev{
        left: 0;
    }
    .popup .next{
        right: 0;
    }
    .popup .navegation{
        transform: translateY(-8%);
    }
    .tour a{
        font-size: 14px;
    }
    .tour p{
        color: var(--cinza);
        font-family: 'MediumItalic';
        font-size: 18px;
        margin-bottom: 20px;
        text-align: center;
    }
    .tour span{
        font-size: 20px;
    }
    .tour .open-tour-popup{
        justify-content: center;
        gap: 20px;
        margin: 0 auto;
    }
    .popup-tour iframe{
        height: 40%;
    }
    .tour img{
        width: 30px;
    }
    .single-interno .card-obras{
        padding: 20px 40px;
    }
    .single-interno .card-obras .localizacao img{
        width: 30px;
    }
    .single-interno .card-obras .localizacao p{
        font-size: 16px;
    }
    .single-interno .card-obras > .flex{
        gap: 20px 0px;
        margin-top: 20px;
        flex-direction: column;
    }
    .single-interno .card-obras .localizacao {
        justify-content: flex-start;
        gap: 6px;
        flex-wrap: nowrap;
    }
    .single-interno .card-obras .icones-single p{
        font-size: 14px;
    }
    .single-interno .card-obras .icones-single img{
        width: 40px;
        height: 40px;
    }
    .single-interno .descricao h2{
        font-size: 28px;
    }
    .single-interno .descricao p{
        font-size: 16px;
        text-align: justify;
    }
    .single-interno .descricao ul{
        flex-direction: column;
    }
    .aba-content img{
        height: 400px;
    }
    .plantas{
        margin-top: 80px;
    }
    .localizacao-mapa iframe{
        height: 300px;
    }
    .flutuante-top-single{
        height: 300vh;
        object-fit: cover;
    }
}